summaryrefslogtreecommitdiffstats
path: root/files/90mgalive/mgalive-parse.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/90mgalive/mgalive-parse.sh')
-rwxr-xr-xfiles/90mgalive/mgalive-parse.sh40
1 files changed, 8 insertions, 32 deletions
diff --git a/files/90mgalive/mgalive-parse.sh b/files/90mgalive/mgalive-parse.sh
index cbe0a1b..7952957 100755
--- a/files/90mgalive/mgalive-parse.sh
+++ b/files/90mgalive/mgalive-parse.sh
@@ -1,51 +1,27 @@
#!/bin/sh
-# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
-# ex: ts=8 sw=4 sts=4 et filetype=sh
# live images are specified with
-# root=live:backingdev
+# root=mgalive:backingdev
[ -z "$root" ] && root=$(getarg root=)
-# support legacy syntax of passing liveimg and then just the base root
-if getargbool 0 rd.live.image -y liveimg; then
- liveroot="live:$root"
-fi
-
-if [ "${root%%:*}" = "live" ] ; then
+if [ "${root%%:*}" = "mgalive" ] ; then
liveroot=$root
fi
-[ "${liveroot%%:*}" = "live" ] || return
+[ "${liveroot%%:*}" = "mgalive" ] || return
modprobe -q loop
case "$liveroot" in
- live:LABEL=*|LABEL=*) \
- root="${root#live:}"
- root="$(echo $root | sed 's,/,\\x2f,g')"
- root="live:/dev/disk/by-label/${root#LABEL=}"
- rootok=1 ;;
- live:CDLABEL=*|CDLABEL=*) \
- root="${root#live:}"
+ mgalive:LABEL=*|LABEL=*) \
+ root="${root#mgalive:}"
root="$(echo $root | sed 's,/,\\x2f,g')"
- root="live:/dev/disk/by-label/${root#CDLABEL=}"
- rootok=1 ;;
- live:UUID=*|UUID=*) \
- root="${root#live:}"
- root="live:/dev/disk/by-uuid/${root#UUID=}"
- rootok=1 ;;
- live:/*.[Ii][Ss][Oo]|/*.[Ii][Ss][Oo])
- root="${root#live:}"
- root="liveiso:${root}"
- rootok=1 ;;
- live:/dev/*)
+ root="mgalive:/dev/disk/by-label/${root#LABEL=}"
rootok=1 ;;
- live:/*.[Ii][Mm][Gg]|/*.[Ii][Mm][Gg])
- [ -f "${root#live:}" ] && rootok=1 ;;
esac
info "root was $liveroot, is now $root"
# make sure that init doesn't complain
-[ -z "$root" ] && root="live"
+[ -z "$root" ] && root="mgalive"
-#wait_for_dev /dev/mapper/live-rw
+wait_for_dev /live/union